Bitcoin vs 10Y Treasury Yield Correlation

30-day rolling correlation between Bitcoin (BTC) price and the U.S. 10-Year Treasury Yield (DGS10)

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/10y-treasury-yield-correlation/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

resolution (optional) — day1 (default), hour12, hour4, hour1, 30mn, 10mn. Finer buckets are served to Advanced and Enterprise accounts; see Resolutions.

before (optional) — exclusive cursor, returns observations older than this timestamp_ms. Finer resolutions only.

limit (optional) — page size for finer resolutions. Default 2500, maximum 5000. Ignored for day1.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

2 metrics
Metric

10Y Treasury Yield

Data used by the 10Y Treasury Yield Correlation chart.

Endpoint
https://newhedge.io/api/v2/metrics/10y-treasury-yield-correlation/treasury_10y_price_usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786492800000,
    4.68
  ],
  [
    1786579200000,
    4.63
  ],
  [
    1786665600000,
    4.68
  ]
]
Metric

10Y Treasury Yield Correlation

Data used by the 10Y Treasury Yield Correlation chart.

Endpoint
https://newhedge.io/api/v2/metrics/10y-treasury-yield-correlation/btc_treasury_10y_correlation?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786838400000,
    -0.2762212605943803
  ],
  [
    1786924800000,
    -0.2504843880144646
  ],
  [
    1787011200000,
    -0.2301034320915296
  ]
]